/* 
 --- 01 TYPOGRAPHY SYSTEM

 - Font Size System (px)
 11 / 13 / 16 / 23 / 27 / 32 / 38 / 45 / 54 / 64 / 76

 - Font Weights: 
 Default: 400
 Medium: 500
 Semi-bold: 600 
 Bold: 900

 - Letter spacing: 
 -0.5px
 0.75px

 - Line heights: 
 Default: 1
 Small: 1.05
 Paragraph default: 1.5, used in hero section description

 --- 02 COLORS
 - Primary: 
 #087f5b

 - Tints: 
 #e6fcf5
 
 
 - Shades: 
 #066649
 #04402E
 #021D15
 
 - Accents: 
 - Greys: 
 #dee2e6
 #495057
 #343a40

 --- 03 SHADOWS

 --- 04 BORDER RADIUS
 Default: 10px

 --- 05 WHITESPACE
 - Spacing System (px)
 2 / 4 / 8 / 14 / 18 / 24 / 32 / 48 / 64 / 80 / 96 / 128

*/

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* Percentage of user's browser font size setting */
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: "Lato", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #495057;
  overflow-x: hidden;
}

/****************************/
/* REUSABLE COMPONENTS */
/****************************/

.primary-heading,
.secondary-heading,
.tertiary-heading {
  font-weight: 900;
  color: #343a40;
  letter-spacing: -0.5px;
}

.primary-heading {
  font-size: 4.5rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}

.secondary-heading {
  font-size: 3.2rem;
  line-height: 1.2;
  margin-bottom: 8rem;
}

.tertiary-heading {
  font-size: 2.7rem;
  line-height: 1.2;
  margin-bottom: 1.8rem;
}

.alternative-heading {
  display: block;
  font-size: 1.6rem;
  font-weight: 800;
  color: #066649;
  letter-spacing: 0.75px;
  text-transform: uppercase;
  margin-bottom: 0.8rem;
}

.btn:link,
.btn:visited {
  display: inline-block;
  background-color: #087f5b;
  color: #fff;
  text-decoration: none;
  font-size: 1.8rem;
  font-weight: 600;
  padding: 1.4rem 2.8rem;
  border-radius: 10px;
  transition: background-color 0.3s;
}

.btn:hover,
.btn:active {
  display: inline-block;
  background-color: #066649;
  color: #fff;
  text-decoration: none;
  font-size: 1.8rem;
  font-weight: 600;
  padding: 1.4rem 2.8rem;
  border-radius: 10px;
}

.margin-right-sm {
  margin-right: 1.4rem !important;
}

.margin-bottom-sm {
  margin-bottom: 1.4rem !important;
}
